Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 3280 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

CHYBA V PRAVIDLE

 Odpovědět Odpovědět archiv
Autor
Lukáš Záruba Zobrazit panel
TOP uživatel
TOP uživatel

Přihlášen: 02.lis.2007
Lokalita: ČR (SČ)
Používám:
inventor 2015
Stav: Offline
Bodů: 290
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Lukáš Záruba Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: CHYBA V PRAVIDLE
    Zasláno: 26.lis.2018 v 16:46
Zdravím, 

mám pravidlo které mi vytvoří textový parametr a následně ho vyplní číslem součásti. V díle to funguje skvěle ale chci to použít pro sestavu a tam mi to píše toho:


Připojené náhledyPřihlaste se pro zobrazení plné verze - 4903/Výstřižek1.JPG



Já nevím co po mě přesně chce.

Pravidlo je to toto:

Dim part As PartDocument = doc = ThisDoc.Document
Dim userParams = part.ComponentDefinition.Parameters.UserParameters
Dim p As Inventor.Parameter
Try
 p = userParams("POPIS_DILU")
Catch
 p = userParams.AddByValue("POPIS_DILU","XXXXXXX", UnitsTypeEnum.kTextUnits)
End Try
p.Comment = "GRAVURA"

iProperties.Value("Project", "Part Number") = ThisDoc.FileName(False) 'without extension

Parameter("POPIS_DILU") = iProperties.Value("Project", "Part Number")

iProperties.Value("Project", "Stock Number") = iProperties.Value("Project", "Part Number")

Nevíte někdo jak to zprovoznit?
Budu rád za radu i případně všelijaké postřehy.
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio s.r.o.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 1084
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Navara Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 26.lis.2018 v 17:09
První řádek nedává smysl
Musíte si vybrat buď doc, nebo ThisDoc,Document ale ne obojí
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 11500:VIPNastavení barvy pozadí výkresového listu Inventoru pomocí iLogic
Tip 4734:Pravidla potrubních sítí v Civil3D.
Tip 11548:Jak přenést pravidla akcí při kopírování návrhu Vaultu na další počítače?
Tip 11488:VIPiLogic makro pro nastavení přesnosti kót a tolerancí.
Tip 11420:VIPSkrytí pracovních geometrií v sestavě.
Tip 10267:VIPRychlá inspekce dílů v sestavě Inventoru (iLogic)


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,266 sekund.